libqtcurve-utils2_1.9-4_amd64.deb


Advertisement

Description

libqtcurve-utils2 - common library for QtCurve

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libqtcurve-utils2_1.9-4_amd64.deb
Package name libqtcurve-utils2
Package version 1.9
Package release 4
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage https://cgit.kde.org/qtcurve.git
License -
Maintainer Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Download size 42.43 KB
Installed size 114.00 KB

Alternatives

Package Version Architecture Repository
libqtcurve-utils2_1.9-4_i386.deb 1.9 i386 Debian Main
libqtcurve-utils2 - - -

Requires

Name Value
libc6 >= 2.27
libgcc1 >= 1:3.0
libstdc++6 >= 5.2
libx11-6 -
libx11-xcb1 -
libxcb1 -

Replaces

Name Value
libqtcurve-utils1 >= 1.8.18+git20150711-a3fff13-1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libqtcurve-utils2_1.9-4_amd64.deb
Source Package qtcurve

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libqtcurve-utils2 deb package:
    # sudo apt-get install libqtcurve-utils2

Files

Path
/usr/lib/x86_64-linux-gnu/libqtcurve-utils.so.2
/usr/lib/x86_64-linux-gnu/libqtcurve-utils.so.2.0
/usr/share/doc/libqtcurve-utils2/changelog.Debian.gz
/usr/share/doc/libqtcurve-utils2/changelog.gz
/usr/share/doc/libqtcurve-utils2/copyright
/usr/share/lintian/overrides/libqtcurve-utils2

Changelog

2019-08-25 - Scott Kitterman <scott@kitterman.com>
qtcurve (1.9-4) unstable; urgency=medium
* Team upload.
* Drop Qt4 support (Closes: #875149)
2019-07-25 - Boris Pek <tehnick@debian.org>
qtcurve (1.9-3) unstable; urgency=medium
[ Dmitry Shachnev ]
* Backport upstream patch to fix build with GCC 9.x. (Closes: #925813)
[ Boris Pek ]
* Update debian/control:
- bump debhelper version to 12~ (was 11~); update debian/compat
- bump Standards-Version to 4.4.0 (was 4.2.1): no changes required
* Simplify debian/rules:
- delete --list-missing option from dh
- stop adding of CPPFLAGS into CXXFLAGS using of DEB_CXXFLAGS_MAINT_APPEND
as workaround for cmake because debhelper already does this since version
9.20120417
* Update debian/upstream/signing-key.asc:
fix lintian note public-upstream-key-not-minimal.
* Update debian/gtk2-engines-qtcurve.lintian-overrides.
* Update debian/upstream/metadata.
* Delete debian/source/options.
* Update years in debian/copyright.
2018-09-23 - Boris Pek <tehnick@debian.org>
qtcurve (1.9-2) unstable; urgency=medium
* Move package to unstable: no changes required.
2018-09-21 - Boris Pek <tehnick@debian.org>
qtcurve (1.9-1) experimental; urgency=medium
* New upstream release.
* Bump debhelper version to 11~ (was 9); update debian/compat.
* Bump Standards-Version to 4.2.1 (was 4.2.0): no changes required.
* Delete all debian/patches/*: some of them already in upstream and others
are not required anymore.
* Rewrite debian/watch: upstream has finally uploaded release tarball to
download.kde.org, so we may use it instead of git repo on cgit.kde.org.
* Simplify debian/rules: delete --parallel option from dh.
* Set "Section: libs" for binary package libqtcurve-utils2.
* Add debian/upstream/signing-key.asc.
* Add debian/upstream/metadata.
* Update debian/copyright:
- update Format field: http --> https
- update Source field: download.kde.org is used now
2018-08-17 - Boris Pek <tehnick@debian.org>
qtcurve (1.8.18+git20160320-3d8622c-6) unstable; urgency=medium
* Update debian/control:
- bump Standards-Version to 4.2.0 (was 4.0.0)
- update Vcs-* fields: moved from Alioth to Salsa
- replace build dependency from kio-dev to libkf5kio-dev
[Thanks to Pino Toscano] (Closes: #885393)
* Add patch fix-random-hangs-and-crashes-of-Qt-based-applications:
fixes random hangs of Qt5-based applications and crashes of Qt4-based
applications after moving of mouse pointer over the menu bar.
[Thanks to Andrey Rahmatullin] (Closes: #905327, #905354)
* Update debian/gtk2-engines-qtcurve.lintian-overrides.
* Delete get-orig-source section from debian/rules.
* Update years and emails in debian/copyright.
2017-08-03 - Boris Pek <tehnick@debian.org>
qtcurve (1.8.18+git20160320-3d8622c-5) unstable; urgency=medium
* Add patch replace-memcmp-with-strncmp. It fixes crash when using QtCurve
widget style and Breeze preset. (Closes: #865765)
[Thanks to Sergey Sharybin]
2017-07-20 - Boris Pek <tehnick@debian.org>
qtcurve (1.8.18+git20160320-3d8622c-4) unstable; urgency=medium
[ Dmitry Shachnev ]
* Backport upstream patch to fix build with Qt 5.9. (Closes: #867576)
[ Boris Pek ]
* Update debian/control:
- bump Standards-Version to 4.0.0 (was 3.9.8): no changes required
- package qtcurve-l10n is "Multi-Arch: foreign" now
- package qtcurve is "Multi-Arch: same" now
- update project Homepage
* Update debian/watch.
* Update debian/copyright.
* Fix debian/*.lintian-overrides.
2016-05-11 - Boris Pek <tehnick@debian.org>
qtcurve (1.8.18+git20160320-3d8622c-3) unstable; urgency=medium
* Add workaround-for-kwin-x11-crashes.patch. (Closes: #823674)
2016-04-27 - Boris Pek <tehnick@debian.org>
qtcurve (1.8.18+git20160320-3d8622c-2) unstable; urgency=medium
* Add fix-segfault-in-qt4-style-on-mouse-move-to-window-title.patch.

See Also

Package Description
libqtdbus4_4.8.7+dfsg-19_amd64.deb Qt 4 D-Bus module library
libqtdbusmock1-common_0.7+bzr49+repack1-3_all.deb Library for mocking DBus interactions using Qt (common files)
libqtdbusmock1-dev_0.7+bzr49+repack1-3_amd64.deb Library for mocking DBus interactions using Qt (development files)
libqtdbusmock1_0.7+bzr49+repack1-3_amd64.deb Library for mocking DBus interactions using Qt
libqtdbustest1-dev_0.2+bzr42+repack1-5_amd64.deb Library for testing DBus interactions using Qt (development files)
libqtdbustest1_0.2+bzr42+repack1-5_amd64.deb Library for testing DBus interactions using Qt
libqtermwidget5-0-dev_0.14.1-1_amd64.deb Terminal emulator widget for Qt 5 (development files)
libqtermwidget5-0_0.14.1-1_amd64.deb Terminal emulator widget for Qt 5 (shared libraries)
libqtest-ocaml-dev_2.9-3_amd64.deb Inline (Unit) Tests for OCaml (Development package)
libqtest-ocaml-doc_2.9-3_all.deb Documentation for ocaml-qtest
libqtest-ocaml_2.9-3_amd64.deb Inline (Unit) Tests for OCaml (Runtime library)
libqtgui4_4.8.7+dfsg-19_amd64.deb Qt 4 GUI module
libqtpropertybrowser-dev_4.1.2-3_amd64.deb Qt Property Browser Library - development
libqtpropertybrowser4_4.1.2-3_amd64.deb Qt Property Browser Library - runtime
libqtshadowsocks-dev_2.1.0-2+b1_amd64.deb Development files of libQtShadowsocks
Advertisement
Advertisement